module Material (Material (..), attenuation) where

import Linear.V3
import Linear.Vector
import Maths
import Ray

data Material = Lambertian (V3 Double) | Metal (V3 Double) | Glass (V3 Double)

-- attenuation :: (Material m) => m -> V3 Double
attenuation (Lambertian c) = c
attenuation (Metal c) = c
attenuation (Glass c) = (V3 1.0 1.0 1.0)
